'SYSTEM MESSAGE HANDLING
'sys_mssg.inc  for Domination Tube
'Revision Date: 7 Aug 2010
'By Jim Robertson 

    DISABLE
'*************************************************************
'**************** SYSTEM MESSAGE HANDLER *********************
'*************************************************************
sys_msg_handler:
	message_ID = databyte1 & %01111111		'mask message_ID
	message = databyte

	GoSub shift_data_in				        'get third byte, leave it in "databyte"
	IF bad_data = 1 Then message_exit		'if any bit errors, ignore
	'if databyte != 232 THEN message_exit   'ignore - works with all MT systems
	
valid_message:

    IF message_ID = 3 THEN commands
 '   IF message_ID = 99 THEN time_set
    
message_exit:
    IF state != 4 THEN start      'continue game
    GOTO game_over
'------------------------------------------------------------
'time_set: '99

'    WRITE 50, message
'    PAUSE 100
    
'    GOTO initialize
    
'------------------------------------------------------------ 
'------------------------------------------------------------         	
commands:  '3
    IF message = 5 THEN mssg_new_game           'Reset for New Game
    IF message = 9 THEN msg_up           'up
    IF message = 14 THEN msg_down          'down
    IF message = 1 THEN msg_right           'right
    IF message = 16 THEN msg_left           'left

    GOTO message_exit

'------------------------------------------------------------ 
mssg_new_game:          'Reset For New Game

    GOTO initialize

msg_up:    
    game_time_min = 5
    GOTO write_time

msg_down:
    GOTO write_type

msg_right:
    game_time_min = 15
    GOTO write_time

msg_left:
    game_time_min = 20

write_time:
    write 0, game_time_min  
    GOTO initialize
    
write_type:

    if game_win_set = 0 then 
        game_win_set = 1 
    else 
        game_win_set= 0 
    endif    
    
    write 1, game_win_set
    GOTO initialize

